#!/bin/sh
#######################################################
##        JDLEditor startup script                   ##
#######################################################

EDG_WL_LOCATION=${EDG_WL_LOCATION:-/opt/edg}

. ${EDG_WL_LOCATION}/etc/edg-wl-vars.sh
. ${EDG_WL_LOCATION}/etc/profile.d/edg-wl.sh
. ${EDG_WL_LOCATION}/etc/profile.d/edg-wl-ui-gui-env.sh

JAVA_PATH=${JAVA_INSTALL_PATH}
COG_PATH=${COG_INSTALL_PATH}
LOG4J_PATH=${LOG4J_INSTALL_PATH}
CLASSADJ_PATH=${CLASSADJ_INSTALL_PATH}

EXTRA_CLASSES="$EDG_WL_LOCATION/share/java/edg_wl_common_jrequestad.jar"
EXTRA_CLASSES="$EXTRA_CLASSES:$EDG_WL_LOCATION/share/java/edg_wl_userinterface_jclient.jar"
EXTRA_CLASSES="$EXTRA_CLASSES:$EDG_WL_LOCATION/share/java/edg_wl_userinterface_gui.jar"
EXTRA_CLASSES="$EXTRA_CLASSES:$COG_PATH/share/java/cog-jglobus-1.1.jar"
EXTRA_CLASSES="$EXTRA_CLASSES:$COG_PATH/share/java/puretls.jar"
EXTRA_CLASSES="$EXTRA_CLASSES:$COG_PATH/share/java/cryptix32.jar"
EXTRA_CLASSES="$EXTRA_CLASSES:$COG_PATH/share/java/cryptix-asn1.jar"
EXTRA_CLASSES="$EXTRA_CLASSES:$LOG4J_PATH/share/java/log4j-1.2.6.jar"
EXTRA_CLASSES="$EXTRA_CLASSES:$CLASSADJ_PATH/share/java/classad.jar"
EXTRA_CLASSES="$EXTRA_CLASSES:$EDG_LOCATION/share/java/edg-java-security-authorization.jar"
EXTRA_CLASSES="$EXTRA_CLASSES:/usr/share/java/bcprov-jdk14.jar"

exec "$JAVA_PATH/bin/java" -cp ".:$EXTRA_CLASSES" edg.workload.userinterface.gui.JDLEditor &
