#!/bin/csh
#######################################################
##           JobMonitor startup script               ##
#######################################################

if ( ! $?EDG_WL_LOCATION ) then
  setenv EDG_WL_LOCATION "/opt/edg"
endif


source ${EDG_WL_LOCATION}/etc/edg-wl-vars.csh
source ${EDG_WL_LOCATION}/etc/profile.d/edg-wl.csh
source ${EDG_WL_LOCATION}/etc/profile.d/edg-wl-ui-gui-env.csh


setenv JAVA_PATH ${JAVA_INSTALL_PATH}
setenv COG_PATH ${COG_INSTALL_PATH}
setenv LOG4J_PATH ${LOG4J_INSTALL_PATH}
setenv CLASSADJ_PATH ${CLASSADJ_INSTALL_PATH}

setenv EXTRA_CLASSES ${EDG_WL_LOCATION}/share/java/edg_wl_common_jrequestad.jar
setenv EXTRA_CLASSES ${EXTRA_CLASSES}:${EDG_WL_LOCATION}/share/java/edg_wl_userinterface_jclient.jar
setenv EXTRA_CLASSES ${EXTRA_CLASSES}:${EDG_WL_LOCATION}/share/java/edg_wl_userinterface_gui.jar
setenv EXTRA_CLASSES ${EXTRA_CLASSES}:${COG_PATH}/share/java/cog-jglobus-1.1.jar
setenv EXTRA_CLASSES ${EXTRA_CLASSES}:${COG_PATH}/share/java/puretls.jar
setenv EXTRA_CLASSES ${EXTRA_CLASSES}:${COG_PATH}/share/java/cryptix32.jar
setenv EXTRA_CLASSES ${EXTRA_CLASSES}:${COG_PATH}/share/java/cryptix-asn1.jar
setenv EXTRA_CLASSES ${EXTRA_CLASSES}:${LOG4J_PATH}/share/java/log4j-1.2.6.jar
setenv EXTRA_CLASSES ${EXTRA_CLASSES}:${CLASSADJ_PATH}/share/java/classad.jar
setenv EXTRA_CLASSES ${EXTRA_CLASSES}:${EDG_LOCATION}/share/java/edg-java-security-authorization.jar
setenv EXTRA_CLASSES ${EXTRA_CLASSES}:/usr/share/java/bcprov-jdk14.jar

exec "${JAVA_PATH}/bin/java" -cp ".:${EXTRA_CLASSES}" edg.workload.userinterface.gui.JobMonitor &
